[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.AddOnKeyDownBeforeHandler

AddOnKeyDownBeforeHandler - method for adding handler for the state where a key (eg Ctrl, Shift, Alt) has been already pressed

## Declaration

Source position: forms.pp line 1348

`public procedure TApplication.AddOnKeyDownBeforeHandler(`
`Handler: TKeyEvent;`
`AsFirst: Boolean = true`
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .